curl --location --request POST 'https://api.explo.co/api/create_user_group/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"user_group_id": "example_1",
"name": "Example 1",
"mapping": {"40": "213", "134": "386"},
"properties": {"filterValue": "value"}
}'
{
"success": 1,
"new_user_group": true,
"user_group": {
"team_id": 3,
"token": "<customer_token_to_auth_dashboard>",
"name": "Example 1",
"provided_id": "example_1",
"is_demo_group": false
}
}
End User Group API [Deprecated]
Get or Create User Group
POST
/
api
/
create_user_group
/
curl --location --request POST 'https://api.explo.co/api/create_user_group/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"user_group_id": "example_1",
"name": "Example 1",
"mapping": {"40": "213", "134": "386"},
"properties": {"filterValue": "value"}
}'
{
"success": 1,
"new_user_group": true,
"user_group": {
"team_id": 3,
"token": "<customer_token_to_auth_dashboard>",
"name": "Example 1",
"provided_id": "example_1",
"is_demo_group": false
}
}
The End User Group API is now deprecated and has been replaced by the Customer
API. Each End User Group entity corresponds to a Customer entity, with its
user_group_id corresponding to a Customer customer_id.This API method has been replaced by Get or Create Customer.Body
string
This is the name of the user group.
string
This is the ID you use to identify this user group in your database.
object
This is a JSON mapping of schema id to either the data source that this user
group should be associated with or id of the datasource you provided when
creating it.
boolean
Set this boolean parameter to true to make data panels include a demo
watermark for the user group. Demo user groups do not count towards paid user
groups. Default value is false.
object
This is a JSON object for properties assigned to this user group. These will
be accessible through variables in the dashboards and SQL editor
Response
number
Indicates whether the call was successful. 1 if successful, 0 if not.
boolean
Indicates whether a new user group was created.
object
The contents of the user group
Show Toggle object
Show Toggle object
number
This is Explo’s internal ID for this user group. You don’t need to record this
information, since you will not need to use it.
string
This is the user group token (customerToken or CUSTOMER_TOKEN) that will be
used to identify which user group is viewing the dashboard. You should save
this on your end to use when rendering an embedded dashboard.
string
This is the name of the user group provided in the request body.
string
This is the user_group_id provided in the request body.
boolean
If set to true, data panels displayed for the user group will include a demo
watermark.
JSON or null
This is the properties object if it was provided in the request body
curl --location --request POST 'https://api.explo.co/api/create_user_group/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"user_group_id": "example_1",
"name": "Example 1",
"mapping": {"40": "213", "134": "386"},
"properties": {"filterValue": "value"}
}'
{
"success": 1,
"new_user_group": true,
"user_group": {
"team_id": 3,
"token": "<customer_token_to_auth_dashboard>",
"name": "Example 1",
"provided_id": "example_1",
"is_demo_group": false
}
}